<?xml version="1.0"?>
<cfsSimulation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xmlns="http://www.cfs++.org/simulation">
 
  
 <documentation>
   <title>2D Mechanic-Acoustic Eigenvalue Problem</title>
   <authors>
     <author>Manfred</author>
   </authors>
   <date>2015-06-18</date>
   <keywords>
     <keyword>mechanic-acoustic</keyword>
   </keywords>
   <references>Ansys Verification Example </references>
   <isVerified>yes</isVerified>
   <description>
      This test problem demonstrates the capability of a coupled
      mechanic-acoustic eigenvalue problem.
      The original reference solution was checked against ANSYS.
   </description>
 </documentation>

   
  <fileFormats>
    <input>
      <hdf5 fileName="CoupledEV2D.h5"/>
    </input>
    <output>
      <hdf5/>
    </output>
    <materialData file="mat.xml" format="xml"/>
  </fileFormats>

  <domain geometryType="plane">

    <regionList>
      <region name="solid" material="steel"/>
      <region name="fluid" material="water"/>
    </regionList>

    <surfRegionList>
      <surfRegion name="fsi"/>
      <surfRegion name="outer"/>
    </surfRegionList>
  </domain>

  
  <sequenceStep>

    <analysis>
      
      <eigenFrequency>
        <isQuadratic> yes</isQuadratic>
        <numModes> 12 </numModes>
        <freqShift> 10.0 </freqShift>
        <writeModes> yes </writeModes>
      </eigenFrequency>
    </analysis>

    <pdeList>

      <mechanic subType="planeStrain">
        <regionList>
          <region name="solid"/> 
        </regionList>
        
        <bcsAndLoads>
          <fix name="fixdis">
            <comp dof="x"/>
          </fix>
          <fix name="fixdis">
            <comp dof="y"/>
          </fix>
        </bcsAndLoads>

        <storeResults>
          <nodeResult type="mechDisplacement" complexFormat="realImag">
            <allRegions/>
          </nodeResult>
        </storeResults>
      </mechanic>
      
      
      <acoustic formulation="acouPotential">
        <regionList>
          <region name="fluid"/>
        </regionList>
        <bcsAndLoads>
          <soundSoft name="fixpot"/>
        </bcsAndLoads>
        <storeResults>
          <nodeResult type="acouPotential" complexFormat="realImag">
            <allRegions/>
          </nodeResult>
        </storeResults>
      </acoustic>

    </pdeList>

    <couplingList>
      <direct>
        <acouMechDirect>
          <surfRegionList>
            <surfRegion name="fsi"/>
          </surfRegionList>
        </acouMechDirect>
      </direct>
    </couplingList>
    
    <linearSystems>
      <system> 
         <solverList>
           <directLU/>
         </solverList>
      </system>
    </linearSystems>
    
  </sequenceStep>
</cfsSimulation>
